org.apache.lucene.analysis.core

## Class LowerCaseTokenizerFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenizerFactory
    - - org.apache.lucene.analysis.core.LowerCaseTokenizerFactory

- All Implemented Interfaces:
    MultiTermAwareComponent

      public class LowerCaseTokenizerFactory
      extends TokenizerFactory
      implements MultiTermAwareComponent

  Factory for `LowerCaseTokenizer`.

       <fieldType name="text_lwrcase" class="solr.TextField" positionIncrementGap="100">
         <analyzer>
           <tokenizer class="solr.LowerCaseTokenizerFactory"/>
         </analyzer>
       </fieldType>

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `args, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LowerCaseTokenizerFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LowerCaseTokenizer` | `create(Reader input)` Creates a TokenStream of the specified input
    `AbstractAnalysisFactory` | `getMultiTermComponent()` Returns an analysis component to handle analysis if multi-term queries.
    `void` | `init(Map<String,String> args)` Initialize this factory via a set of key-value pairs.

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenizerFactory

      `availableTokenizers, forName, lookupClass, reloadTokenizers`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, setLuceneMatchVersion, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LowerCaseTokenizerFactory

          public LowerCaseTokenizerFactory()

  - ### Method Detail

    - #### init

          public void init(Map<String,String> args)

      Description copied from class: `AbstractAnalysisFactory`
      Initialize this factory via a set of key-value pairs.
      Overrides:
        `init` in class `AbstractAnalysisFactory`

    - #### create

          public LowerCaseTokenizer create(Reader input)

      Description copied from class: `TokenizerFactory`
      Creates a TokenStream of the specified input
      Specified by:
        `create` in class `TokenizerFactory`

    - #### getMultiTermComponent

          public AbstractAnalysisFactory getMultiTermComponent()

      Description copied from interface: `MultiTermAwareComponent`
      Returns an analysis component to handle analysis if multi-term queries. The returned component must be a TokenizerFactory, TokenFilterFactory or CharFilterFactory.
      Specified by:
        `getMultiTermComponent` in interface `MultiTermAwareComponent`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.